[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TParams.IsEqual

Is the list of parameters equal

## Declaration

Source position: db.pas line 1326

`public function TParams.IsEqual(`
`Value: TParams`
`):Boolean;`

## Arguments

`Value` |  | Collection of TParam values.

## Function result

True if all items in Value match the own items

## Description

IsEqual compares the parameter count of Value and if it matches, it compares all TParam items of Value with the items it owns. If all items are equal (all properties match), then True is returned. The items are compared on index, so the order is important.

## See also

TParam |  | Parameter description class